POST /papi/v1/ramp/connect/crypto-network
Request Body
No request body
Response Body
Data: CryptoNetworkObject array
CryptoNetworkObject
| Field | Type | Remarks |
|---|
| cryptoCurrency | string | fiat currency list |
| networks | object array | Network detail. Refer to NetworkDetailObject |
NetworkDetailObject
| Field | Type | Remarks |
|---|
| network | string | Network name. E.g ETH, BSC, ARBITRUM, SOL, OPTIMISM, BASE |
| addressRegex | string array | Network address regex |
| memoRegex | string | Memo regex |
| withdrawFee | string | Withdraw fee |
| withdrawMinAmount | string | Withdraw min amount |
| withdrawMaxAmount | string | Withdraw max amount |
| contractAddress | string | Contract address |
| withdrawEnable | boolean | is withdraw enabled |
| depositEnable | boolean | is deposit enabled |
| depositDust | string | Minimum deposit amount for this network. Deposits below this amount may not be credited. Used by the Deposit feature |
Example
Response:
{
"success": true,
"code": "000000",
"message": "success",
"data": [
{
"cryptoCurrency": "ETH",
"networks": [
{
"network": "BSC",
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": "",
"withdrawFee": 115.0,
"withdrawMinAmount": 230.0,
"withdrawMaxAmount": 555.0,
"contractAddress": "0x2170ed0880ac9a755fd29b2688956bd959f933f8",
"withdrawEnable": false,
"depositEnable": false,
"depositDust": "0.00001"
},
{
"network": "ETH",
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": "",
"withdrawFee": 0.0,
"withdrawMinAmount": 1e-8,
"withdrawMaxAmount": 9999999.0,
"contractAddress": "0x7190ed0880ac9a755fd29b26f8956bd959f933f2",
"withdrawEnable": true,
"depositEnable": true,
"depositDust": "0.00001"
}
]
},
{
"cryptoCurrency": "ORDI",
"networks": [
{
"network": "ORDIBTC",
"addressRegex": "^[13][a-km-zA-HJ-NP-Z1-9]{25,34}$|^[(bc1q)|(bc1p)][0-9A-Za-z]{37,62}$",
"memoRegex": "",
"withdrawFee": 0.0,
"withdrawMinAmount": 0.01,
"withdrawMaxAmount": 9999999.0,
"contractAddress": "b61b0172d95e266c18aea0c624db987e971a5d6d4ebc2aaed85da4642d635735i0",
"withdrawEnable": true,
"depositEnable": true,
"depositDust": "0.01"
}
]
}
]
}
Last modified on